For the complete documentation index, see llms.txt. This page is also available as Markdown.

Locations

Get location

get
/locations/

This api is used to get the locations of connected devices from WorkorderApp or post locations for certain identifiers. An identifier can be anything, for example employee nr or license plate. When posting a location the type should be specified. Post data should contain an array with objects containing the following parameters:

Parameter
Description

lat

Latitude

long

Longitude

identifier

Unique identifier, for example employee number or license plate.

type

0 for employee, 1 for car

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/locations/
GET /locations/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Post locations

post
/locations/

This api is used to get the locations of connected devices from WorkorderApp or post locations for certain identifiers. An identifier can be anything, for example employee nr or license plate. When posting a location the type should be specified. Post data should contain an array with objects containing the following parameters:

Parameter
Description

lat

Latitude

long

Longitude

identifier

Unique identifier, for example employee number or license plate.

type

0 for employee, 1 for car

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/locations/
POST /locations/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?